Subject: Ticket Assigned - Delay for order # 6140304521
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 28 Apr 2022 10:22:58 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delay for order # 6140304521 Dear Max customer service team,
Please clarify the status of this order and the delays reasons, I understand that this order was shipped from Jeddah to Riyadh via the Saudi post (SPL), but I found in the tracking system that the order is returned back to the origin.
It was very important to me to have this order on or before this noon, since I am travelling during the Eid holidays.
Regards,Osama
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4275225